| Kea 3.0.2-git

isc::stat_cmds Namespace Reference

## Classes
class | LeaseStatCmdsImpl
| Implements command handling for stat-leaseX-get commands. More...
class | NotFound
| Exception thrown no subnets fall within the selection criteria This exception is thrown when a valid combination of query parameters excludes all known (i.e. More...
class | StatCmds
| Implements the logic for processing commands pertaining to stat manipulation. More...

## Variables
isc::log::Logger | stat_cmds_logger ("stat-cmds-hooks")

## Variable Documentation

## ◆ stat_cmds_logger

isc::log::Logger isc::stat_cmds::stat_cmds_logger | ( | "stat-cmds-hooks" |  | ) |

Definition at line 17 of file stat_cmds_log.h.

Referenced by load(), isc::stat_cmds::LeaseStatCmdsImpl::makeResultSet4(), isc::stat_cmds::LeaseStatCmdsImpl::makeResultSet6(), isc::stat_cmds::LeaseStatCmdsImpl::statLease4GetHandler(), isc::stat_cmds::StatCmds::statLease4GetHandler(), isc::stat_cmds::LeaseStatCmdsImpl::statLease6GetHandler(), isc::stat_cmds::StatCmds::statLease6GetHandler(), and unload().